org.apache.sling.bgservlets

## Interface JobData

    public interface JobData

Wraps a JCR Node to store and retrieve information about a background Job

### Field Summary

Fields
`static String` `JOB_DATA_MIXIN`
`static String` `PROP_EXTENSION`

### Method Summary

Methods
`Date` `getCreationTime()` Return this item's creation time
`InputStream` `getInputStream()` Input stream used to replay data stored in the stream provided by {#link getOutputStream}
`OutputStream` `getOutputStream()` OutputStream used to write the job's output, stored permanently under the job node.
`String` `getPath()` Return unique path of this data item
`String` `getProperty(String name)` Get a named property, null if non-existent
`void` `setProperty(String name, String value)` Set a named property

### Field Detail

#### JOB_DATA_MIXIN

    static final String JOB_DATA_MIXIN

See Also:
  Constant Field Values

#### PROP_EXTENSION

    static final String PROP_EXTENSION

See Also:
  Constant Field Values

### Method Detail

#### getPath

    String getPath()

Return unique path of this data item

#### getOutputStream

    OutputStream getOutputStream()

OutputStream used to write the job's output, stored permanently under the job node.

#### getInputStream

    InputStream getInputStream()

Input stream used to replay data stored in the stream provided by {#link getOutputStream}

Returns:
  null if no stream stored yet

#### setProperty

    void setProperty(String name,
                   String value)

Set a named property

#### getProperty

    String getProperty(String name)

Get a named property, null if non-existent

#### getCreationTime

    Date getCreationTime()

Return this item's creation time